from django.db import models
from django.conf import settings
from django.utils.translation import ugettext_lazy as _

from cms.models import CMSPlugin

class FeedPreference(models.Model):
    user = models.ForeignKey(settings.AUTH_USER_MODEL)
    feed = models.ForeignKey('Feed')

    class Meta:
        verbose_name = _('user feed subscription')
        verbose_name_plural = _('user feed subscriptions')

class SelectUserFeed(CMSPlugin):
    pass

class ShowUserFeed(CMSPlugin):
    limit = models.PositiveIntegerField(default=10)
    timeout = models.PositiveIntegerField(default=60)

class Feed(models.Model):
    name = models.CharField(max_length=32, verbose_name=_('name'))
    url = models.URLField()
    color_hex = models.CharField(max_length=6,
            verbose_name=_('Color'),
            help_text=_('as an hexadecimal number'),
            default='')
    css_classes = models.CharField(max_length=128,
            verbose_name=_('CSS classes'),
            default='')

    class Meta:
        verbose_name = _('feed')
        verbose_name_plural = _('feeds')

    def __unicode__(self):
        return self.name
